#
# spec file for package abstand (Version 0.4.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp klibs ksupp libgpp libjpeg qtcompat qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         abstand
Copyright:    GPL
Group:        X11/Applications/Hamradio
Provides:     abstand
Autoreqprov:  on
Version:      0.4.0
Release:      195
Source:       %{name}-%{version}.tgz
Patch:        %{name}-%{version}.dif
Patch1:	      main.dif	
URL:          http://linux.unixcity.de/axel.cordes/
Summary:      Calculates security distances for RF installations (German order 306/97)

%description
This program calculates the security distances for RF installations following
the German order 306/97. This is to protect people with pacemakers from
the potential dangerous impact of electromagnetic fields.

Authors:
--------
    Axel Cordes,DK4OK <axel.cordes@gmx.net>

SuSE series: ham

%prep
%setup
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config -fl}}
CFLAGS="$RPM_OPT_FLAGS" \
 ./configure --mandir={_mandir} --infodir=%{_infodir} %{_target_cpu}-suse-linux
make

%install
make install
install -d -m 755 -o root -g root /opt/kde/share/apps/abstand
install -m 644 -o root -g root Kabel.txt /opt/kde/share/apps/abstand/Kabel.txt
install -m 644 -o root -g root Antennen.txt /opt/kde/share/apps/abstand/Antennen.txt

%files
%doc AUTHORS COPYING ChangeLog INSTALL LIESMICH.SuSE README THANKS TODO 
/opt/kde/bin/abstand
/opt/kde/share/applnk/Applications/abstand.kdelnk
%config(noreplace) /opt/kde/share/apps/abstand/Antennen.txt
%config(noreplace) /opt/kde/share/apps/abstand/Kabel.txt
/opt/kde/share/doc/HTML/en/abstand
/opt/kde/share/icons/abstand.xpm
/opt/kde/share/icons/mini/abstand.xpm

%changelog -n abstand
* Thu Feb 08 2001 - sf@suse.de
- added <stdlib.h> for gcc 2.96
* Thu Nov 30 2000 - jreuter@suse.de
- fixed RPM group tag
* Tue Jun 27 2000 - schwab@suse.de
- Fix for ia64.
* Fri Jun 16 2000 - ka@suse.de
- update to version 0.4.0
- added file Antennen.txt
* Thu Jun 08 2000 - ka@suse.de
- added URL tag to spec file
* Wed Jun 07 2000 - ka@suse.de
- initial release 0.3.0
